# Sending Customer Information

Use api.customer() function to send information about the current customer to Nosto. After the information is sent, current visit is updated with latest details.

Typical situation when manual update is needed if your site handles login with AJAX compared to regular implementation where login requires a page load and the following page includes customer tagging.

```javascript
nostojs(api => {
  api.customer({
    email: "jane.doe@example.com",
    first_name: "Jane",
    last_name: "Doe",
    marketing_permission: true,
    customer_reference: "5e3d4a9c-cf58-11ea-87d0-0242ac130003"
  })
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nosto.com/techdocs/apis/frontend/js-apis/common-examples/sending-customer-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
